Bug 1880808 - F34FailsToInstall: erlang-js
Summary: F34FailsToInstall: erlang-js
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: erlang-js
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F34FailsToInstall
TreeView+ depends on / blocked
 
Reported: 2020-09-20 11:39 UTC by Igor Raits
Modified: 2020-11-19 01:29 UTC (History)
1 user (show)

Fixed In Version: erlang-js-1.9.2-1.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-13 22:03:37 UTC
Type: ---


Attachments (Terms of Use)

Description Igor Raits 2020-09-20 11:39:20 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (ignatenkobrain@fedoraproject.org).

Your package (erlang-js) Fails To Install in Fedora 34:

can't install erlang-js:
  - nothing provides libmozjs-52.so.0()(64bit) needed by erlang-js-1.9.0-7.fc32.x86_64
  - nothing provides libmozjs-52.so.0(js)(64bit) needed by erlang-js-1.9.0-7.fc32.x86_64
  
If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.


If you don't react accordingly to the policy for FTBFS/FTI bugs (https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/), your package may be orphaned in 8+ weeks.

P.S. The data was generated solely from koji buildroot, so it might be newer than the latest compose or the content on mirrors.

P.P.S. If this bug has been reported in the middle of upgrading multiple dependent packages, please consider using side tags: https://docs.fedoraproject.org/en-US/rawhide-gating/multi-builds/

Thanks!

Comment 1 Igor Raits 2020-09-28 17:13:06 UTC
Hello,

This is the first reminder (step 3 from https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/#_package_removal_for_long_standing_ftbfs_and_fti_bugs).

If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.

Comment 2 Miro Hrončok 2020-10-29 19:35:38 UTC
Hello,

This is the second reminder (step 4 from https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/#_package_removal_for_long_standing_ftbfs_and_fti_bugs).

If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.

Comment 3 Peter Lemenkov 2020-11-03 21:24:27 UTC
Working on it

Comment 4 Fedora Update System 2020-11-10 17:39:13 UTC
FEDORA-2020-b3bbe55a79 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-b3bbe55a79

Comment 5 Fedora Update System 2020-11-11 02:20:21 UTC
FEDORA-2020-b3bbe55a79 has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-b3bbe55a79`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-b3bbe55a79

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Miro Hrončok 2020-11-13 22:03:37 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok@redhat.com).

All subpackages of a package against which this bug was filled are now installable or removed from Fedora 34.

Thanks for taking care of it!

Comment 7 Fedora Update System 2020-11-19 01:29:01 UTC
FEDORA-2020-b3bbe55a79 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.